<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<div class="container" style="text-align: center">
  <div class="sections_container">
    <h2>Secciones</h2>
    <table class="table table-hover" style="text-align: center">
      <thead>
        <tr>
          <th>Imagen</th>
          <th>Sección</th>
          <th>Beacon UUID</th>
          <th>Opciones</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>
            <input [(ngModel)]="new_section_url">
          </td>
          <td>
            <input [(ngModel)]="new_section_name">
          </td>
          <td>
            Generated
          </td>
          <td>
            <button class="btn btn-sm btn-primary" style="text-align:center" (click)="addSection()">Agregar</button>
          </td>
        </tr>
        <tr *ngFor="let section of sections">
          <td>
            <img src="{{section.imageUrl}}" alt="" width=40 height=40 class="rounded-circle">
          </td>
          <td>{{section.name}}</td>
          <td>{{section.beaconUuid}}</td>
          <td>
            <button class="btn btn-sm btn-primary" style="text-align:center" (click)="deleteSection(section)">Eliminar</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="edges_container">
    <h2>Rutas</h2>
    <table class="table table-hover" style="text-align: center">
      <thead>
        <tr>
          <th>Desde</th>
          <th>Hacia</th>
          <th>Dirección</th>
          <th>Bearing</th>
          <th>Distancia</th>
          <th>Opciones</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>
            <select [(ngModel)]="new_edge_from">
              <option *ngFor="let section of sections" value="{{section.beaconUuid}}">{{section.name}}</option>
            </select>
          </td>
          <td>
            <select [(ngModel)]="new_edge_to">
              <option *ngFor="let section of sections" value="{{section.beaconUuid}}">{{section.name}}</option>
            </select>
          </td>
          <td>
            <select [(ngModel)]="new_edge_direction">
              <option value="Forward">Forward</option>
              <option value="Left">Left</option>
              <option value="Right">Right</option>
              <option value="Backwards">Backwards</option>
            </select>
          </td>
          <td>
            <input [(ngModel)]="new_edge_bearing" type="number">
          </td>
          <td>
            <input [(ngModel)]="new_edge_distance" type="number">
          </td>
          <td>
            <button class="btn btn-sm btn-primary" style="text-align:center" (click)="addEdge()">Agregar</button>
          </td>
        </tr>
        <tr *ngFor="let edge of edges">
          <td>{{uuidToSectionName(edge.from)}}</td>
          <td>{{uuidToSectionName(edge.to)}}</td>
          <td>{{edge.direction}}</td>
          <td>{{edge.bearing}} {{bearingToStringDirection(edge.bearing)}}</td>
          <td>{{edge.distance}} {{edge.unit}}</td>
          <td>
            <button class="btn btn-sm btn-primary" style="text-align:center" (click)="deleteEdge(edge)">Eliminar</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="products_container">
    <h2>Productos</h2>
    <table class="table table-hover" style="text-align: center">
      <thead>
        <tr>
          <th>Imagen</th>
          <th>Nombre</th>
          <th>Precio</th>
          <th>Moneda</th>
          <th>Descripción Español</th>
          <th>Descripción Ingles</th>
          <th>Opciones</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let product of products">
          <td>
            <img src="{{product.imageUrl}}" alt="" width=40 height=40 class="rounded-circle">
          </td>
          <td>{{product.name}}</td>
          <td>{{product.price.units}}</td>
          <td>{{product.price.iso}}</td>
          <td>{{product.descripcion}}</td>
          <td>{{product.description}}</td>
          <td>
            <button class="btn btn-sm btn-primary" style="text-align:center" (click)="deleteProduct(product)">Eliminar</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
